Name:           sugar-chart
Version:        9
Release:        1%{?dist}
Summary:        Activity to create charts and organize information

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://activities.sugarlabs.org/en-US/sugar/addon/4534
Source0:        http://mirrors.mit.edu/sugarlabs/activities/4534/chart-%{version}.xo

BuildRequires:  python sugar-toolkit gettext
BuildArch:      noarch
Requires:       sugar

%description
Chart is an activity to create charts from sugar. It can create
bar, line and pie charts.

%prep
%setup -q -n Chart.activity
rm po/nah.po
chmod +x utils.py
chmod +x helpbutton.py
chmod +x readers.py
chmod +x setup.py
chmod +x chart.py
chmod +x activity.py
chmod -x icons/line.svg

%build
%{__python} ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} ./setup.py install --prefix=%{buildroot}/%{_prefix}

%find_lang org.sugarlabs.SimpleGraph

%files -f org.sugarlabs.SimpleGraph.lang
%defattr(-,root,root,-)
%doc NEWS
%{sugaractivitydir}/Chart.activity/

%changelog
* Sat Dec 15 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 9-1
- initial packaging
